<?php
/**
 * Typography Setting
 *
 * @package clothing_marketplace
 */

// Typography Setting
$wp_customize->add_section(
    'clothing_marketplace_typography_setting',
    array(
        'panel' => 'clothing_marketplace_theme_options',
        'title' => esc_html__( 'Typography Setting', 'clothing-marketplace' ),
    )
);

$wp_customize->add_setting(
    'clothing_marketplace_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'clothing_marketplace_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'clothing_marketplace_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'clothing-marketplace' ),
        'section'  => 'clothing_marketplace_typography_setting',
        'settings' => 'clothing_marketplace_site_title_font',
        'type'     => 'select',
        'choices'  => clothing_marketplace_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'clothing_marketplace_site_description_font',
	array(
		'default'           => 'Cabin',
		'sanitize_callback' => 'clothing_marketplace_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'clothing_marketplace_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'clothing-marketplace' ),
		'section'  => 'clothing_marketplace_typography_setting',
		'settings' => 'clothing_marketplace_site_description_font',
		'type'     => 'select',
		'choices'  => clothing_marketplace_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'clothing_marketplace_header_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'clothing_marketplace_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'clothing_marketplace_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'clothing-marketplace' ),
		'section'  => 'clothing_marketplace_typography_setting',
		'settings' => 'clothing_marketplace_header_font',
		'type'     => 'select',
		'choices'  => clothing_marketplace_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'clothing_marketplace_content_font',
	array(
		'default'           => 'Cabin',
		'sanitize_callback' => 'clothing_marketplace_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'clothing_marketplace_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'clothing-marketplace' ),
		'section'  => 'clothing_marketplace_typography_setting',
		'settings' => 'clothing_marketplace_content_font',
		'type'     => 'select',
		'choices'  => clothing_marketplace_get_all_google_font_families(),
	)
);